/// <reference types="node" />
import * as fs from 'fs';
import { Sequence } from 'gensequence';
import { Observable } from 'rxjs';
import * as Trie from 'cspell-trie';
export declare function normalizeWords(lines: Observable<string>): Observable<string>;
export declare function lineToWords(line: string): Sequence<string>;
export declare function compileSetOfWords(lines: Observable<string>): Promise<Set<string>>;
export declare function compileWordList(filename: string, destFilename: string): Promise<fs.WriteStream>;
export declare function normalizeWordsToTrie(words: Observable<string>): Promise<Trie.TrieNode>;
export declare function compileWordListToTrieFile(words: Observable<string>, destFilename: string): Promise<void>;
export declare function compileTrie(filename: string, destFilename: string): Promise<void>;
